Name: libpath_utils
Version: 0.2.1
Release: 0%{?dist}
Summary: Filesystem Path Utilities
Group: Development/Libraries
License: LGPLv3+
URL: http://fedorahosted.org/sssd/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

### Patches ###

### Dependencies ###

### Build Dependencies ###

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4
BuildRequires: doxygen

%description
Utility functions to manipulate filesystem pathnames

%package devel
Summary: Development files for libpath_utils
Group: Development/Libraries
Requires: libpath_utils = %{version}-%{release}
License: LGPLv3+

%description devel
Utility functions to manipulate filesystem pathnames

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-rpath

make %{?_smp_mflags} all docs

%check
make %{?_smp_mflags} check

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files created by libtool
rm -f $RPM_BUILD_ROOT/%{_libdir}/libpath_utils.la

# Remove document install script. RPM is handling this
rm -f doc/html/installdox

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER
%{_libdir}/libpath_utils.so.1
%{_libdir}/libpath_utils.so.1.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/path_utils.h
%{_libdir}/libpath_utils.so
%{_libdir}/pkgconfig/path_utils.pc
%doc README doc/html/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Wed Aug 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.2.1-0
- Automated build of libpath_utils
